<?php
/*  Copyright Thierry BOTTARO

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

/*
Plugin Name: Simple Meta widget
Plugin URI: http://www.2diabolos.com/blog/
Description: simplifies the "meta" widget
Author: Thierryyyyyyy	
Version: 1
Author URI: http://www.2diabolos.com/blog/
*/

function widget_simple_meta() { 
	$options = (array) get_option('widget_simple_meta');
	$title = $options['title'];
?>
	<li id="meta" class="widget-container">
				<h3 class="widget-title"><?php echo $title ?></h3>
				<ul>
					<?php wp_register(); ?>
					<li><?php wp_loginout(); ?></li>
				</ul>
			</li>
<?php
}

function widget_simple_meta_control() {
	$options = $newoptions = get_option('widget_simple_meta');
	if ( $_POST['simple-meta-submit'] ) {
		$newoptions['title'] = strip_tags(stripslashes($_POST['simple-meta-title']));
	}
	if ( $options != $newoptions ) {
		$options = $newoptions;
		update_option('widget_simple_meta', $options);
	} ?>
	<div>
		<label for="simple-meta-title">
		<?php _e('Widget title:', 'widgets'); ?> <input style="width: 200px;" type="text" id="simple-meta-title" name="simple-meta-title" value="<?php echo ($options['title'] ? wp_specialchars($options['title'], true) : 'Connection'); ?>" /></label>
		<input type="hidden" name="simple-meta-submit" id="simple-meta-submit" value="1" />
	</div>
	<?php
}

function widget_simple_meta_init() {
	register_sidebar_widget(array('Simple Meta Widget', 'widgets'), 'widget_simple_meta');
	register_widget_control(array('Simple Meta Widget', 'widgets'), 'widget_simple_meta_control');
}

add_action('widgets_init', 'widget_simple_meta_init');

?>
